package Methoden_Referenzen;

import java.util.*;

public class Nicht_statische_Methoden_Referenzen {
	
	public static void main(String[] args) {
        List<String> worte = Arrays.asList("hallo", "welt", "java");
        
        // Nicht-statische Methoden-Referenz
        worte.stream()
             .map(String::toUpperCase) // "hallo"::toUpperCase, "welt"::toUpperCase, etc.
             .forEach(System.out::println);
        
        Nicht_statische_Methoden_Referenzen t = new Nicht_statische_Methoden_Referenzen();
        worte.forEach(t ::druckeWort );
    }
	
	 public void druckeWort(String wort) {
	        System.out.println("Wort: " + wort);
	    }
}
